tigase.jaxmpp.j2se.connectors.socket

## Class SocketInBandRegistrationXmppSessionLogic

- java.lang.Object
- - tigase.jaxmpp.j2se.connectors.socket.SocketInBandRegistrationXmppSessionLogic

- All Implemented Interfaces:
    XmppSessionLogic

      public class SocketInBandRegistrationXmppSessionLogic
      extends Object
      implements XmppSessionLogic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.XmppSessionLogic

      `XmppSessionLogic.SessionListener, XmppSessionLogic.XmppSessionEstablishedHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketInBandRegistrationXmppSessionLogic(SocketConnector connector, XmppModulesManager modulesManager, Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeStart()` Method executed just before login process is started.
    `protected void` | `processException(JaxmppException e)`
    `protected void` | `processStreamFeatures(SessionObject sessionObject, Element featuresElement)`
    `void` | `setSessionListener(XmppSessionLogic.SessionListener sessionListener)` Set XmppSessionLogic.SessionListener.
    `void` | `unbind()` In this method implementation must unregister all previously registered listeners.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketInBandRegistrationXmppSessionLogic

          public SocketInBandRegistrationXmppSessionLogic(SocketConnector connector,
                                                          XmppModulesManager modulesManager,
                                                          Context context)

  - ### Method Detail

    - #### beforeStart

          public void beforeStart()
                           throws JaxmppException

      Description copied from interface: `XmppSessionLogic`
      Method executed just before login process is started. In this method implementation should register listeners.
      Specified by:
        `beforeStart` in interface `XmppSessionLogic`
      Throws:
        `JaxmppException`

    - #### processException

          protected void processException(JaxmppException e)
                                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processStreamFeatures

          protected void processStreamFeatures(SessionObject sessionObject,
                                               Element featuresElement)
                                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setSessionListener

          public void setSessionListener(XmppSessionLogic.SessionListener sessionListener)
                                  throws JaxmppException

      Description copied from interface: `XmppSessionLogic`
      Set XmppSessionLogic.SessionListener.
      Specified by:
        `setSessionListener` in interface `XmppSessionLogic`
      Parameters:
        `sessionListener` - XmppSessionLogic.SessionListener
      Throws:
        `JaxmppException`

    - #### unbind

          public void unbind()
                      throws JaxmppException

      Description copied from interface: `XmppSessionLogic`
      In this method implementation must unregister all previously registered listeners.
      Specified by:
        `unbind` in interface `XmppSessionLogic`
      Throws:
        `JaxmppException`

Copyright © 2006–2019 Tigase. All rights reserved.